Subject: bug#51688: ELC+ELN international/emoji.elc crashes

From: Andrea Corallo <[email-masked]>
Date: Tue, 23 Nov 2021 14:34:45 +0000

Robert Pluim <[email-masked]> writes:

>>>>>> On Tue, 23 Nov 2021 14:42:11 +0200, Eli Zaretskii <[email-masked]> said:
>
>     >> From: Robert Pluim <[email-masked]>
>     >> Cc: [email-masked],  Andreas Schwab <[email-masked]>, Eli
>     >> Zaretskii <[email-masked]>
>     >> Date: Tue, 23 Nov 2021 09:44:01 +0100
>     >> 
>     >> >>>>> On Mon, 22 Nov 2021 15:55:57 +0100, Robert Pluim <[email-masked]> said:
>     >> 
>     Robert> Iʼve seen this crash *once* in my Tumbleweed VM, which unfortunately
>     Robert> had core dumps disabled. Iʼve not seen it since enabling core
>     Robert> dumps. Iʼll see what happens if I uses Andreas' configure options.
>     >> 
>     >> So this only seems to happen in a clean checkout, and I suspect I need
>     >> to remove ~/.emacs.d/eln-cache as well.
>
>     Eli> Can you produce a reproducer and post it?  See etc/DEBUG for how to do
>     Eli> that.
>
> Attached (itʼs rather large). Note that running 'NATIVE_FULL_AOT=1
> make' again, lisp/international/emoji.el is successfully compiled, so
> Iʼm not 100% sure that the repro file will cause a crash.
>

Could you verify if you can produce the libgccjit crash using the
produced reproducer?

You should just compile it with like

$ gcc emoji-aca2d225-0997194d_libgccjit_repro.c -lgccjit

And run it to see if it crashes.

$ ./a.out

Thanks

  Andrea